package com.gyee.common.util.algorithm;

/*
@author   谢生杰
@date   2022/11/6-15:40
欠发算法
*/

public class Underdelivery {

    /**
     * @param pp
     * @param zs
     * @return
     */
    public static double underdeliveryStatusReal(double pp, double zs) {
        double ratioll = 0;
        double qfzt = 0;
        if (zs != 0) {
            ratioll = (zs - pp) / zs;
        }
        if (ratioll < 0.05) {
            qfzt = 0;
        } else if (ratioll >= 0.05 && ratioll < 0.1) {
            qfzt = 1;
        } else if (ratioll >= 0.1 && ratioll < 0.2) {
            qfzt = 2;
        } else if (ratioll >= 0.2 && ratioll < 0.4) {
            qfzt = 3;
        } else {
            qfzt = 4;
        }
        return qfzt;
    }
}
